import requests
url = "https://{FUSION HOST}/api/query-profiles"
payload = {
"id": "PROFILE_ID",
"queryPipeline": "QUERY_PIPELINE_NAME",
"collection": "COLLECTION_NAME",
"searchHandler": "select"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/query-profiles")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"PROFILE_ID\",\n \"queryPipeline\": \"QUERY_PIPELINE_NAME\",\n \"collection\": \"COLLECTION_NAME\",\n \"searchHandler\": \"select\"\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'PROFILE_ID',
queryPipeline: 'QUERY_PIPELINE_NAME',
collection: 'COLLECTION_NAME',
searchHandler: 'select'
})
};
fetch('https://{FUSION HOST}/api/query-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/query-profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"PROFILE_ID\",\n \"queryPipeline\": \"QUERY_PIPELINE_NAME\",\n \"collection\": \"COLLECTION_NAME\",\n \"searchHandler\": \"select\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/query-profiles"
payload := strings.NewReader("{\n \"id\": \"PROFILE_ID\",\n \"queryPipeline\": \"QUERY_PIPELINE_NAME\",\n \"collection\": \"COLLECTION_NAME\",\n \"searchHandler\": \"select\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/query-profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'PROFILE_ID',
'queryPipeline' => 'QUERY_PIPELINE_NAME',
'collection' => 'COLLECTION_NAME',
'searchHandler' => 'select'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION HOST}/api/query-profiles \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "PROFILE_ID",
"queryPipeline": "QUERY_PIPELINE_NAME",
"collection": "COLLECTION_NAME",
"searchHandler": "select"
}
'{
"id": "PROFILE_ID",
"queryPipeline": "QUERY_PIPELINE_NAME",
"collection": "COLLECTION_NAME",
"searchHandler": "select"
}Create a query profile
The request is a JSON body defining the new query profile.
import requests
url = "https://{FUSION HOST}/api/query-profiles"
payload = {
"id": "PROFILE_ID",
"queryPipeline": "QUERY_PIPELINE_NAME",
"collection": "COLLECTION_NAME",
"searchHandler": "select"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/query-profiles")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"PROFILE_ID\",\n \"queryPipeline\": \"QUERY_PIPELINE_NAME\",\n \"collection\": \"COLLECTION_NAME\",\n \"searchHandler\": \"select\"\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'PROFILE_ID',
queryPipeline: 'QUERY_PIPELINE_NAME',
collection: 'COLLECTION_NAME',
searchHandler: 'select'
})
};
fetch('https://{FUSION HOST}/api/query-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/query-profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"PROFILE_ID\",\n \"queryPipeline\": \"QUERY_PIPELINE_NAME\",\n \"collection\": \"COLLECTION_NAME\",\n \"searchHandler\": \"select\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/query-profiles"
payload := strings.NewReader("{\n \"id\": \"PROFILE_ID\",\n \"queryPipeline\": \"QUERY_PIPELINE_NAME\",\n \"collection\": \"COLLECTION_NAME\",\n \"searchHandler\": \"select\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/query-profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'PROFILE_ID',
'queryPipeline' => 'QUERY_PIPELINE_NAME',
'collection' => 'COLLECTION_NAME',
'searchHandler' => 'select'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
The app to which this object belongs, as app:SomeApp.
Body
The query profile ID.
The query pipeline associated with this query profile.
The data collection associated with this query profile.
The Solr search handler to use with this query profile.
The search mode to use with this query profile:
-
dsl- Fusion's Domain Specific Language. -
legacy- Solr query parameters. -
all- Use both DSL and legacy search modes. This is the default value that works well for most use cases.
dsl|legacy|allShow child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
The query profile ID.
The query pipeline associated with this query profile.
The data collection associated with this query profile.
The Solr search handler to use with this query profile.
The search mode to use with this query profile:
-
dsl- Fusion's Domain Specific Language. -
legacy- Solr query parameters. -
all- Use both DSL and legacy search modes. This is the default value that works well for most use cases.
dsl|legacy|allShow child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?